Bug 16727 - Upload tool needs better warning
Summary: Upload tool needs better warning
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nicole C. Engard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-13 18:01 UTC by Nicole C. Engard
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16727: Clarify upload category note (1.50 KB, patch)
2016-07-27 13:29 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16727: Clarify upload category note (1.60 KB, patch)
2016-07-27 13:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16727: Clarify upload category note (1.65 KB, patch)
2016-07-27 14:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2016-06-13 18:01:02 UTC
If you don't have an UPLOAD authorized value category set the upload tool says 

"Note: No upload categories have been defined. All uploads will be marked as temporary." 

But doesn't say that you have to create an authorized value. The error should be clearer.
Comment 1 Nicole C. Engard 2016-07-27 13:29:57 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-07-27 13:55:41 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2016-07-27 14:28:57 UTC
Created attachment 53754 [details] [review]
Bug 16727: Clarify upload category note

This patch clarifies the note on the upload tool
that states that no categories are defined.

To test:

* Log in to Koha
* Confirm that you have no values set for the UPLOAD
  authorized value category
* Visit Tools > Upload
* Check the warning note for typos
* Add a authorized value category for UPLOAD
* Visit Tools > Upload
* Confirm that note is replaced

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Brendan Gallagher 2016-08-04 21:31:36 UTC
pushed to master - Should be in the November 2016 release.  Thanks!
Comment 5 Frédéric Demians 2016-08-05 06:56:54 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 6 Julian Maurice 2016-08-17 13:44:58 UTC
Patch pushed to 3.22.x, will be in 3.22.10